
Foreman - Bug #9346

Bad / Useless error message in Web UI 

02/11/2015 07:15 PM - Bryce Nordgren

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - OpenStack   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.7.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Provisioning a VM onto OpenStack when there are no more Floating IPs on the Floating IP network results in the message:

"cannot convert nil into String"

in the Web UI. The actual reason for the error (no more floating IPs available) is buried in production.log.

The error message could be more informative.

History

#1 - 06/14/2017 03:25 AM - Rahul Bajaj

- Assignee set to Rahul Bajaj

#2 - 02/18/2019 10:35 AM - Rahul Bajaj

- Assignee deleted (Rahul Bajaj)
